Download it now!
Bug 48557 - FILESAVE as .docx (MSO2007) loses Frames
Summary: FILESAVE as .docx (MSO2007) loses Frames
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:4.1.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-04-11 07:11 UTC by Michał
Modified: 2013-03-29 15:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test kit (19.44 KB, application/x-zip-compressed)
2013-01-24 16:54 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michał 2012-04-11 07:11:12 UTC
Problem description: 
Editing .docx file. Inserted some frames with text and positioned them in different places on page. After save and re-open frames disapear and text is as typed normally in paragraphs.

Steps to reproduce:
1. Open a new writer file.
2. Type some text.
3. Insert a frame on page - no border, type some text in frame.
4. Save file as Microsoft Word 2007/2010 XML (.docx)
5. Close and reopen

Current behavior:
Frame disaperas after save and reopen, text is as typed directly in document.
Expected behavior:
Frames stay when I put them.
Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 leighman 2012-08-08 11:49:27 UTC
Confirmed in 3.7.0.0.alpha0+ (Build ID: 8a66a77)
Comment 2 Rainer Bielefeld Retired 2013-01-02 14:27:49 UTC
Still several questions uclear
Deleted uncommon whiteboard key word.
Comment 3 Rainer Bielefeld Retired 2013-01-02 14:28:14 UTC
I will proceed soon
Comment 4 Rainer Bielefeld Retired 2013-01-24 16:54:28 UTC
Created attachment 73591 [details]
Test kit

[Reproducible] with "LibO  4.0.0.2 rc   -  GERMAN UI / German Locale  [Build ID: 5991f37846fc3763493029c4958b57282c2597e)]"  {tinderbox: @6, pull time 2013-01-24  07:20(?)} on German WIN7 Home Premium (64bit) with separate /40 User Profile for alphas etc.

.docx in attached test kit has been created from .odt. Frame completely ignored during filesave, MS WORD Viewer shows text in frame as normal paragraph in full page width.

Same problem with several other frame properties
Comment 5 Rainer Bielefeld Retired 2013-01-24 16:56:46 UTC
@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf
Comment 6 Rainer Bielefeld Retired 2013-01-24 17:04:45 UTC
Already [Reproducible] with 
* server installation of "LibreOffice 3.5.7.2 rc German UI/Locale [Build-ID: 3215f89-f603614-ab984f2-7348103-1225a5b] on German WIN7 Home Premium (64bit) 
* Server Installation of  "LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit) 

Worked fine with 
* Server Installation of "LibreOffice 3.3.3  German UI/Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit)
Comment 7 Miklos Vajna 2013-03-29 12:02:11 UTC
Assign to me. docx export of text frames was completely missing, this is now implemented with commit 736c25a9d372dd1761d3352240164c969fd3ed1d.

The spacing to contents is still incorrect though, I'll close this bug when I fixed that.
Comment 8 Commit Notification 2013-03-29 14:44:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18f299a47fecda6570ff898d6da4207b1ddd9a45

fdo#48557 implement DOCX export of inner margin values for textbox text



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Miklos Vajna 2013-03-29 15:16:07 UTC
Fixed in master, marking as resolved. No backporting, as -- mentioned above -- the whole docx textframe export code is missing on -4-0.